com.io7m.jcamera.examples.jogl

## Class ExampleFPSStyleMouseAdapter

- java.lang.Object
- - com.jogamp.newt.event.MouseAdapter
  - - com.io7m.jcamera.examples.jogl.ExampleFPSStyleMouseAdapter

- All Implemented Interfaces:
    com.jogamp.newt.event.MouseListener, com.jogamp.newt.event.NEWTEventListener, EventListener

      public final class ExampleFPSStyleMouseAdapter
      extends com.jogamp.newt.event.MouseAdapter

  The mouse adapter used to handle mouse events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleFPSStyleMouseAdapter(AtomicReference<JCameraFPSStyleMouseRegion> in_mouse_region, ExampleFPSStyleSimulationType in_sim, JCameraRotationCoefficientsMutable in_rotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseMoved(com.jogamp.newt.event.MouseEvent e)`

    - ### Methods inherited from class com.jogamp.newt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleFPSStyleMouseAdapter

          public ExampleFPSStyleMouseAdapter(AtomicReference<JCameraFPSStyleMouseRegion> in_mouse_region,
                                             ExampleFPSStyleSimulationType in_sim,
                                             JCameraRotationCoefficientsMutable in_rotations)

  - ### Method Detail

    - #### mouseMoved

          public void mouseMoved(@Nullable
                                 com.jogamp.newt.event.MouseEvent e)

      Specified by:
        `mouseMoved` in interface `com.jogamp.newt.event.MouseListener`
      Overrides:
        `mouseMoved` in class `com.jogamp.newt.event.MouseAdapter`

Copyright © 2017 <code@io7m.com> http://io7m.com